#ifndef __GST_FACTORY_LISTS_H__
#define __GST_FACTORY_LISTS_H__

#include <gst/gst.h>

G_BEGIN_DECLS

typedef enum {
  GST_FACTORY_LIST_DECODER = (1 << 0),
  GST_FACTORY_LIST_ENCODER = (1 << 1),
  GST_FACTORY_LIST_SINK    = (1 << 2),
  GST_FACTORY_LIST_SRC     = (1 << 3)
} GstFactoryListType;

G_END_DECLS

typedef struct
{
  GstFactoryListType type;
} FilterData;

gboolean element_filter (GstPluginFeature *feature, 
			 FilterData *data);

#endif /* __GST_FACTORY_LISTS_H__ */
