#ifndef __MACROS_H
#define __MACROS_H


/* debug print function */
#ifdef DEBUG

#define printDebug(format, ...)						\
  do {									\
    printf("%-10s: line %-4d : %-12s() :   ", __FILE__, __LINE__, __FUNCTION__); \
    printf(format, ##__VA_ARGS__);					\
  }									\
  while(0)			

#else

#define printDebug(format, ...)			\
  do {						\
  }						\
  while(0)

#endif						

#endif
