#include <stdio.h>
#include <libxml/parser.h>
#include <libxml/tree.h>
#include <gst/gst.h>

#include "xml_parser.h"

#include "gst_factory_lists.h"

#define BUFFER_SIZE 256

char* createXMLCCPP(void) 
{
  xmlDocPtr doc;
  xmlChar *xmlbuff;
  xmlAttrPtr cmd;
  int buffersize;
  char buffW[BUFFER_SIZE];
  char buffH[BUFFER_SIZE];

  GstRegistry* gstR = NULL;
  GList* modulesList = NULL;
  GList *walk = NULL;
  int argc = 0;
  char **argv = NULL;
  FilterData data;

  /* get the list of the modules */
  gst_init(&argc, &argv);
  gstR = gst_registry_get_default();
  modulesList = gst_default_registry_feature_filter((GstPluginFeatureFilter)
						    element_filter, FALSE, &data);

  for(walk = modulesList; walk != NULL; walk = g_list_next(walk))
    {
      printf("%s\n", gst_plugin_feature_get_name(walk->data));
    }

  gst_plugin_feature_list_free(modulesList);
  gst_deinit();

  return NULL;
}
